Debian Bug report logs - #607766
Fails to configure WEP wireless network without DHCP

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Ian Wakeling <ian.wakeling@ntlworld.com>

Date: Tue, 21 Dec 2010 22:27:01 UTC

Severity: normal

Tags: confirmed

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#607766; Package installation-reports. (Tue, 21 Dec 2010 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Wakeling <ian.wakeling@ntlworld.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 21 Dec 2010 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Wakeling <ian.wakeling@ntlworld.com>
To: submit@bugs.debian.org
Subject: Fresh install of Squeeze on Thinkpad Edge 11; wireless network problems and grub oddity
Date: Tue, 21 Dec 2010 22:24:56 +0000
Package: installation-reports

Boot method: USB key with hd-media images	
Image version: http://ftp.uk.debian.org/debian/dists/squeeze/main/installer-
i386/current/images/hd-media/initrd.gz
http://ftp.uk.debian.org/debian/dists/squeeze/main/installer-
i386/current/images/hd-media/vmlinuz
Date: 18/12/10 10:15

Machine: Thinkpad Edge 11
Processor: Intel(R) Core(TM) i3 CPU       U 380  @ 1.33GHz
Memory: 2GB
Partitions: 
Disk /dev/sda: 320.1 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x41a45b47

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1         154     1228800    7  HPFS/NTFS
Partition 1 does not end on cylinder boundary.
/dev/sda2             154        4331    33554432    7  HPFS/NTFS
/dev/sda3           37639       38914    10240000    7  HPFS/NTFS
/dev/sda4            4331       37639   267544577    5  Extended
/dev/sda5   *        4331       37169   263767040   83  Linux
/dev/sda6           37169       37639     3776512   82  Linux swap / Solaris

Partition table entries are not in disk order


Output of lspci -knn (or lspci -nn):
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller 
[8086:0044] (rev 02)
        Subsystem: Lenovo Device [17aa:21c8]
        Kernel driver in use: agpgart-intel
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor 
Integrated Graphics Controller [8086:0046] (rev 02)
        Subsystem: Lenovo Device [17aa:21c8]
        Kernel driver in use: i915
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 
Series Chipset HECI Controller [8086:3b64] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset 
USB2 Enhanced Host Controller [8086:3b3c] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
        Kernel driver in use: ehci_hcd
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset 
High Definition Audio [8086:3b56] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
        Kernel driver in use: HDA Intel
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI 
Express Root Port 1 [8086:3b42] (rev 06)
        Kernel driver in use: pcieport
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI 
Express Root Port 2 [8086:3b44] (rev 06)
        Kernel driver in use: pcieport
00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI 
Express Root Port 5 [8086:3b4a] (rev 06)
        Kernel driver in use: pcieport
00:1c.5 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI 
Express Root Port 6 [8086:3b4c] (rev 06)
        Kernel driver in use: pcieport
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset 
USB2 Enhanced Host Controller [8086:3b34] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
        Kernel driver in use: ehci_hcd
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge 
[8086:2448] (rev a6)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC 
Interface Controller [8086:3b09] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 
4 port SATA AHCI Controller [8086:3b29] (rev 06)
        Subsystem: Lenovo Device [17aa:2168]
        Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus 
Controller [8086:3b30] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 
Series Chipset Thermal Subsystem [8086:3b32] (rev 06)
        Subsystem: Lenovo Device [17aa:21c8]
03:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 1000 
[8086:0084]
        Subsystem: Intel Corporation Centrino Wireless-N 1000 BGN [8086:1315]
        Kernel driver in use: iwlagn
09:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. 
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
        Subsystem: Lenovo Device [17aa:21c5]
        Kernel driver in use: r8169
ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath 
Architecture Generic Non-core Registers [8086:2c62] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]
ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath 
Architecture System Address Decoder [8086:2d01] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]
ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 
[8086:2d10] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]
ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 
[8086:2d11] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]
ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved 
[8086:2d12] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]
ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved 
[8086:2d13] (rev 02)
        Subsystem: Lenovo Device [17aa:2196]

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [E]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [O]

Comments/Problems:

The NTFS partitions are from the preinstalled copy of Windows 7.
My initial attempt used a netinst image on USB key, which failed because it 
couldn't get the wireless network configured.
First, it failed to find any accesspoints. My accesspoint doesn't broadcast, so 
I didn't expect it to find that, but my neighbours are all noisy, so it should 
have found those and it didn't. No matter, it offered me the option of entering 
the essid manually, which was fine and it then went on to ask me for the WEP 
key, also good. It said it was trying to configure with DHCP, which I don't 
have enabled, so I waited for that to fail and then configured it manually. No 
error messages at this point, everything looked fine. Then it failed to 
retrieve anything from the mirrors. Looking at the log on console 4, it 
claimed it had authorised with the access point, but going to console 2 and 
looking at "ip link" said the interface was down and I couldn't get it to come 
up. The ethernet configuration looked OK, but the lack of wireless tools meant 
I couldn't check the wireless configuration.
At this point I tried again, using a hd-media image instead, as detailed 
above. Not surprisingly, this had the same problem, but at the point where it 
tried and failed to read from the mirrors, I was able to use iwconfig to check 
the wireless configuration and determine that despite having prompted for an 
essid and WEP key, it hadn't configured the interface with them. I corrected 
this manually the interface came up and the installation proceeded normally 
from that point.
Interestingly, when the reboot stage of the installation was reached, the 
interface did come up afterwards correctly configured, all the right 
information having been written into /etc/network/interfaces.
Perhaps wireless-tools should be included in the netinst initial ramdisk 
image?
Although GRUB identified the two Windows partitions, they didn't appear in the 
boot options on initial reboot. Running update-grub later on fixed it.
The only other minor gripe was that the task selection interface offers 
"Graphical Desktop" and not having done a fresh install for quite a while, I 
naïvely selected it, expecting to be offered the choice of which desktop... but 
it went ahead and installed Gnome, which I did not want! I have absolutely no 
interest in a debate about the relative merits of the various desktops, but if 
the installer really can't offer the choice of desktops, the option should at 
least be labelled "Gnome" so that it's clear what is being offered and those 
who want something else can avoid wasting lots of time and bandwidth.
Otherwise, it all went smoothly and everything worked - well done, thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#607766; Package installation-reports. (Wed, 22 Dec 2010 08:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 22 Dec 2010 08:00:07 GMT) Full text and rfc822 format available.

Message #10 received at 607766@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Ian Wakeling <ian.wakeling@ntlworld.com>, 607766@bugs.debian.org
Subject: Re: Bug#607766: Fresh install of Squeeze on Thinkpad Edge 11; wireless network problems and grub oddity
Date: Wed, 22 Dec 2010 06:50:05 +0100
[Message part 1 (text/plain, inline)]
reassign 607766 netcfg
retitle 607766 Fails to configure WEP wireless network without DHCP
thanks

Quoting Ian Wakeling (ian.wakeling@ntlworld.com):

> First, it failed to find any accesspoints. My accesspoint doesn't broadcast, so 
> I didn't expect it to find that, but my neighbours are all noisy, so it should 
> have found those and it didn't. No matter, it offered me the option of entering 
> the essid manually, which was fine and it then went on to ask me for the WEP 
> key, also good. It said it was trying to configure with DHCP, which I don't 
> have enabled, so I waited for that to fail and then configured it manually. No 
> error messages at this point, everything looked fine. Then it failed to 
> retrieve anything from the mirrors. Looking at the log on console 4, it 
> claimed it had authorised with the access point, but going to console 2 and 
> looking at "ip link" said the interface was down and I couldn't get it to come 
> up. The ethernet configuration looked OK, but the lack of wireless tools meant 
> I couldn't check the wireless configuration.

That seems to be a bug that could be investigated in netcfg:
WEP+manual network failing. There may be some timeout quirks somewhere.

> Although GRUB identified the two Windows partitions, they didn't appear in the 
> boot options on initial reboot. Running update-grub later on fixed it.


Should be fixed when the last versions of grub-installer migrate to
testing, as far as I've followed these stories.

> The only other minor gripe was that the task selection interface offers 
> "Graphical Desktop" and not having done a fresh install for quite a while, I 
> naïvely selected it, expecting to be offered the choice of which desktop... but 
> it went ahead and installed Gnome, which I did not want! I have absolutely no 
> interest in a debate about the relative merits of the various desktops, but if 
> the installer really can't offer the choice of desktops, the option should at 
> least be labelled "Gnome" so that it's clear what is being offered and those 
> who want something else can avoid wasting lots of time and bandwidth.
> Otherwise, it all went smoothly and everything worked - well done, thanks!


This is a FAQ for D-I. There are tons of reasons for which we don't
want to prompt users for the kind of graphical environment they want
to use. GNOME being the default environment for Debian, it is logical
that "Graphical desktop" brings GNOME in without an extra annoying
question.

Alternative GUI environment can be chosen through a boot command line
option (see installation guide for details).

I reassign this bug report to netcfg for the WEP issue. Many thanks
for your report and the good details and explanations it contains.


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'installation-reports' to 'netcfg'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Wed, 22 Dec 2010 08:00:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'Fails to configure WEP wireless network without DHCP' from 'Fresh install of Squeeze on Thinkpad Edge 11; wireless network problems and grub oddity' Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Wed, 22 Dec 2010 08:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607766; Package netcfg. (Mon, 24 Jan 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 07:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 607766@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 607766@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug confirmed
Date: Mon, 24 Jan 2011 18:54:08 +1100
tag 607766 +confirmed
thanks

Just a quick note to indicate that I have, indeed, confirmed this bug, and
it's quite easy to reproduce -- just turn off your DHCP server, setup your
wireless NIC, then try and do anything with it.

More investigation will be carried out into WTF is actually going on behind
the scenes here.

- Matt





Added tag(s) confirmed. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 07:57:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:06:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.